c ================================================================
c Revision Date: 28-Jan-03 (YHD - previous it was only looking for '/' char)
c                21-Aug-00 
c
c lchar_occur
c ----------
c Function which returns the location of the last occurrence of
c a given character in a string.
c 
c Usage
c -----
c      integer*4  lchar_occur, lchar
c      character  char*1, string*7
c      DATA       string, char /"1/24/a", "/"/
c
c      lchar = lchar_occur(string, char)
c
c ================================================================

      INTEGER FUNCTION lchar_occur(string, char)

      IMPLICIT  none
c      CHARACTER string*256, char*1
      CHARACTER string*(*), char*1
      INTEGER*4 lnblnk
      INTEGER   len_noneblank, last, i

      len_noneblank = lnblnk(string)
      do i=len_noneblank,1,-1
c        if (string(i:i).eq.'/') then
        if (string(i:i).eq.char) then      ! 28-Jan-03 
          last=i
          go to 10
        end if
      end do

10    CONTINUE

      lchar_occur = last
      return

      end
