/***************************************************************************** 
  
  Msg2Phy_Ir_TS6.java
  ===================


*****************************************************************************/

public class Msg2Phy_Ir_TS6 extends Msg2Phy_Ir_TS3
{


   public Msg2Phy_Ir_TS6( String msgPathname, String phyPathname,String stsPathname,
                          String metaPathname, String technicalFilePathname,
                          String configTableFilePathname, 
                          String logJavaFilePathname, String errorFilePathname, 
                          String debug )
   {
     super( msgPathname, phyPathname, metaPathname,stsPathname, 
            technicalFilePathname, configTableFilePathname,
            logJavaFilePathname, errorFilePathname, debug );
   }

  public static void main ( String args[] )
  {
    
    if(debugOn) System.out.println( "TS8 D beg");  
    boolean stsData = true;
    if ( args.length != 9 ) {
      System.out.println( Utils2.dateFormatMessage( "Msg2Phy_Ir_TS6", null, "Usage:java Msg2File msgPathname phyPathname metaPathname technicalTableFilePathname configTableFilePathname logJavaFilePathname errorFilePathname debug") ); 
      System.exit(ERR_WRONG_NBR_PARAM);
    }

    Msg2Phy_Ir_TS3  msg2Phy = new Msg2Phy_Ir_TS3(args[0], args[1], args[2], args[3], args[4], args[5], args[6], args[7], args[8] );

    if( args[2].contains("NONE") )
       stsData = false;
    else 
       stsData = true;

    String decoder = "TS6";
    msg2Phy.process(stsData,decoder); 
    if(debugOn) System.out.println( "TS6 D end");
   }

}
