c
c      subroutine verify_num_col(line,ncol)
c
c      This s/r will find out how many colums(ncol) in the data line.
c      This ncol has to be match with 'num_col' read from the header.
c   
c      YHD, 15-Apr-08
c
      subroutine verify_num_col(line,ncol)
      implicit none

      character*(*) line, prg_sub*14
      integer lnblnk,nb,idbug,ncol,i
      data idbug /0/
      data prg_sub/'verify_num_col'/
       
      ncol=0
      nb=lnblnk(line)
      if (idbug.gt.0) write(66,*)'<<<<< DEBUG from VERIFY_NUM_COL >>>>>'
c 
c--- 1) Find all blank spaces from the "line" and writes 'b'.
c--- 2) Count ncol to be all 'b' in that line.
c--- 3) Remove first column blank case and any contiguous blank case from
c       ncol.
c 
      do i=1,nb
         if (line(i:i).eq.' ') then
           line(i:i)='b'
           ncol=ncol+1
         end if
      end do
      if (idbug.gt.0) write(66,100)prg_sub,line(1:nb)
 100  format(a,': ',a)
 101  format(a,': ncol=',i3)

      if (line(1:1).eq.'b') ncol=ncol-1
      do i=2,nb
         if (line(i:i).eq.'b'.and.line(i-1:i-1).eq.'b') ncol=ncol-1
      end do
      ncol=ncol+1     ! add 1 for the last one
      if (idbug.gt.0) write(66,101)prg_sub,ncol
      return
      end
      
