/************************************************************************
  Revision Date: 21-Nov-01 (JZ) 

  timefrac2hms.c 
  ==============

 ***********************************************************************/
#include <stdio.h>
#include <math.h>

char *timefrac2hms(double rjul)
{
  char timestring[12]=""; 
  double timefrac, hrfrac, minfrac, secfrac;
  int hr, min, sec;

  timefrac = rjul - floor(rjul);
  hrfrac = timefrac*24.0;
  hr = floor(hrfrac);
  timefrac = hrfrac - hr;
  minfrac = timefrac*60.0;
  min = floor(minfrac);
  timefrac = minfrac - min;
  secfrac = timefrac*60.0;
  sec = floor(secfrac+.5);
  if (sec==60)
  {
     min=min+1;
     sec=0;
  }
  if (min==60)
  {
     hr=hr+1;
     min=0;
  }
  if (hr==24)
  {
     hr=0;
  }

  sprintf(timestring, "%2d %2d %2d", hr, min, sec);

  return timestring;
}
