/************************************************************************
  Revision Date:

  get_tim1.c
  ==============
  from position part, the first time line is parsed to get year,month,day,hour,minute,second,
  then compute the julian day,the date_time is in this format,for example 2004/02/08 15:54:04

 ***********************************************************************/
#include <string.h>


long get_tim1(char* date_time){

   long tim1=0;
   static char tokensep[] = " /:";
   char *token;
   int ntokens=0;
   char temp[32];
   int year,month,day,hour,minute,second;
   token = (char *)strtok(date_time, tokensep);

   while(token != NULL)
   {
    ntokens++;
    switch (ntokens)
    {
      case 1:
        strcpy(temp, token);year=atoi(temp);
        break;
      case 2:
        strcpy(temp, token);month=atoi(temp);
        break;
      case 3:
        strcpy(temp, token);day=atoi(temp);
        break;
      case 4:
        strcpy(temp, token);hour=atoi(temp);
        break;
      case 5:
        strcpy(temp, token);minute=atoi(temp);
        break;
      case 6:
        strcpy(temp, token);second=atoi(temp);
        break;
      default: break;
    }
    token = (char *)strtok(NULL, tokensep);
   }
   tim1=((ymd2julday(year,month,day)*24+hour)*60+minute)*60+second;
//   if(debug>0) printf("year=%d month=%d day=%d hour=%d minute=%d second=%d julday=%d tim1=%d\n",year,month,day,hour,minute,second,ymd2julday(year,month,day),tim1);
   return tim1;
}
