/***********************************************************************************
    Revision Date: 02-Jul-2010
                   01-Jul-2010 (CS: Method gets to be alone in a file of its own.)

    read_meta_file
    ==================
    Input Parameters
       NEED TO ADD STUFF HERE

    Returns and integer with this posible values:
       NEED TO ADD STUFF HERE
      
************************************************************************************/  
#include "hex2cnt_tsall.h"


int read_meta_file (char *meta_name, struct meta_struct *meta_struct)
{
 int debug=0; //1 debug,0 no debug

 int lyear,lmonth,lday,lhour,lmin,ndoy;
 int syear,smonth,sday,shour,smin,x;
 char *ptr;
 float x1;//added
// char *cal_keys[] = {"TSLOPE=","TOFF=","PSLOPE=","POFF=","SSLOPE=","SOFF=","OSLOPE=","OOFF=","VSLOPE=","VOFF=","VACSLOPE=","VACOFF=","\0"};

// for (i=0; i<(sizeof(struct aoml_24_cals)/sizeof(double)); i++)
//  meta_struct->cals.c[i] = 0.0;
 meta_struct->cycle_time = (float) 0.0;
 meta_struct->start_time = (float) 0.0;
 //added
 meta_struct->start_of_cycles = (float) 0.0;
 meta_struct->up_time = (float) 0.0;

 if (trace_file != NULL)
  fprintf(trace_file,"Opening meta file %s...\n",meta_name);
 if ((meta_file = fopen(meta_name,"r")) == NULL)
 {
  if (error_file != NULL)
   fprintf (error_file," ERROR opening meta file %s\n",meta_name);
  if (trace_file != NULL)
   fprintf (trace_file," ERROR opening meta file %s\n",meta_name);
  return 1;
 }
 else
 if (trace_file != NULL)
 fprintf (trace_file," Opened meta-file succesfully\n");

 while (fgets(buffer,sizeof(buffer),meta_file) != NULL)
 {
  if (strstr(strupr(buffer),"INTERNAL ID NUMBER") != NULL)
  {
   if(sscanf(buffer,"%*s %*s %*s %d",&meta_struct->AOML_number) != 1)
    meta_struct->AOML_number = 0;
   continue;
  }

  if (strstr(strupr(buffer),"WMO ID NUMBER") != NULL)
  {
   if (sscanf(buffer,"%*s %*s %*s %d",&meta_struct->WMO_id) != 1)
     meta_struct->WMO_id = 0;
   continue;
  }

  if (strstr(strupr(buffer),"TRANSMISSION ID NUMBER") != NULL)
  {
   if (sscanf(buffer,"%*s %*s %*s %d",&meta_struct->ARGOS_id) != 1)
    meta_struct->ARGOS_id = 0;
   continue;
  }

  if (strstr(strupr(buffer),"TRANSMISSION REPETITION RATE") != NULL)
  {
   if (sscanf(buffer,"%*s %*s %*s %*s %f",&meta_struct->ARGOS_rep_rate) != 1)
    meta_struct->ARGOS_rep_rate = 0;
   continue;
  }

  if (strstr(strupr(buffer),"WMO INSTRUMENT TYPE") != NULL)
  {
   if (sscanf(buffer,"%*s %*s %*s %*s %*s %d",&meta_struct->wmo_instrument) != 1)
    meta_struct->wmo_instrument = 0;
   continue;
  }
  if (strstr(strupr(buffer),"DELAY OF FIRST DOWN TIME") != NULL)
  {
   if (sscanf(buffer,"%*s %*s %*s %*s %*s %*s %d",&x) != 1)
     x = 0;
// CS !!!!!! the above has to be changed quit if no value !!!!
//   meta_struct->start_time += (float) (x/24.0);
     meta_struct->delay_first_down_time=(float)(x/24.0);
   continue;
  }

  if (strstr(strupr(buffer),"WMO RECORDER TYPE") != NULL)
  {
   if (sscanf(buffer,"%*s %*s %*s %*s %*s %d",&meta_struct->wmo_recorder) != 1)
    meta_struct->wmo_recorder = 0;
   continue;
  }

  if (strstr(strupr(buffer),"PROGRAM NUMBER") != NULL)
  {
   if (sscanf(buffer,"%*s %*s %*s %d",&meta_struct->exp_no) != 1)
    meta_struct->exp_no = 0;
   continue;
  }

  if (strstr(strupr(buffer),"DOWN TIME") != NULL)
  {
   if (sscanf(buffer,"%*s %*s %*s %f",&x1) != 1)
    x1 = 0;
   meta_struct->cycle_time += (float)x1;
   //added
   meta_struct->start_of_cycles += (float)x1;

   continue;
  }
  //added
  if (strstr(strupr(buffer),"FIRST DOWN TIME") != NULL)
  {
   if (sscanf(buffer,"%*s %*s %*s %f",&x1) != 1)
    x1 = 0;
   meta_struct->start_of_cycles += (float) (x1/24.0);
   continue;
  }

  if ((strstr(strupr(buffer),"INSTRUMENT TYPE") != NULL) && (strstr(strupr(buffer),"WMO") == NULL))
  {
	if (sscanf(buffer,"%*s %*s %s",meta_struct->float_type) == 0)
	{
		sprintf (meta_struct->float_type,"\0");
	    continue;
	}

	if ((ptr = strstr(&buffer[strlen("FLOAT TYPE")],meta_struct->float_type)) != NULL)
		sprintf (meta_struct->float_type,"%s",ptr);
    if ((ptr = strstr(meta_struct->float_type,"\n")) != NULL)
	   sprintf (ptr,"\0");
   continue;
  }

  if (strstr(strupr(buffer),"PI     ") != NULL)
  {
   if (sscanf(buffer,"%*s %s",meta_struct->PI) == 0)
   {
		sprintf (meta_struct->PI,"\0");
	    continue;
   }
   if ((ptr = strstr(&buffer[3],meta_struct->PI)) != NULL)
		sprintf (meta_struct->PI,"%s",ptr);
   if ((ptr = strstr(meta_struct->PI,"\n")) != NULL)
	   sprintf (ptr,"\0");
   continue;
  }
  if ((strstr(strupr(buffer),"LAUNCH TIME") != NULL) && (strstr(strupr(buffer),"YYYY") != NULL)) {
      sscanf(buffer,"%*s %*s %*s %*s %*s %*s %*s %*s %d %d %d %d %d",
             &lday,&lmonth,&lyear,&lhour,&lmin);

      meta_struct->launch_time = (float) (dfr97(lyear,lmonth,lday,lhour,lmin,0,&ndoy));
      continue;
  }
  if (strstr(strupr(buffer),"UP TIME") != NULL)
  {
	   if (sscanf(buffer,"%*s %*s %*s %f",&x1) != 1)
			x1 = 0;
	   meta_struct->cycle_time += (float) (x1/24.0);
	   meta_struct->up_time = (float) (x1/24.0);
	   continue;
  }

  if ((strstr(strupr(buffer),"START TIME") != NULL) && (strstr(strupr(buffer),"YYYY") != NULL))
  {
	   if (sscanf(buffer,"%*s %*s %*s %*s %*s %*s %*s %*s %d %d %d %d %d",&sday,&smonth,&syear,&shour,&smin) == 5)
	   {
			meta_struct->start_time += (float) (dfr97(syear,smonth,sday,shour,smin,0,&x));
			if (meta_struct->start_time <= (float) 0.0)
			{
				 if (error_file != NULL)
				  fprintf (error_file,"Error reading float start time\n");
				 if (error_file != NULL)
				  fprintf (trace_file,"Error reading float start time\n");
				 printf ("Error reading float start time\n");
				 return (1);
			}
	   }
	   else
			meta_struct->start_time = (float) 0.0;

	   //added
	   meta_struct->start_of_cycles += meta_struct->start_time;
	   //test here
	   //meta_struct->start_of_cycles = meta_struct->launch_time;

	   continue;
  }
/*
  i = 0;
  while ((j = strlen(cal_keys[i])) > 1)
  {
   if ((ptr = strstr(buffer,cal_keys[i])) != NULL)
    meta_struct->cals.c[i] = atof(ptr+j);
   i++;
  }*/

/*
  printf("%d,%d,%d\n",meta_struct->AOML_number,meta_struct->WMO_id,meta_struct->ARGOS_id);
  printf("%f,%d,%d\n",meta_struct->ARGOS_rep_rate,meta_struct->wmo_instrument,meta_struct->wmo_recorder);
  printf("%d,%f,%f\n",meta_struct->exp_no,meta_struct->cycle_time,meta_struct->start_of_cycles);
  printf("%s,%s,%f\n",meta_struct->float_type,meta_struct->PI,meta_struct->start_time);
*/
 }

 return 0;
}
