c    Revision date: 02-Oct-02 (YHD - added status=6 when impossible location)
c    Location_check.f
c    ================
c    Checks impossbile location.
c    yhd, 11-Oct-01

c    output: io=0 good; io=1 bad

      subroutine location_check(xlon,ylat,io)

      implicit none

      integer io
      real    xlon,ylat
      character sub_prog*14
      data sub_prog/'Location_check'/

      if (xlon>180.0 .or. xlon<-180.0) then
        write(6, '(A,": Location check longitude error - xlon=",f8.2)') 
     *          sub_prog, xlon
        write(50, '(A,": Location check longitude error - xlon=",f8.2)') 
     *          sub_prog, xlon
        io=1
      end if

      if (ylat>90.0 .or. ylat<-90.0) then
        write(6, '(A,": Location check latitude error - ylat=",f7.2)') 
     *          sub_prog, ylat
        write(50, '(A,": Location check latitude error - ylat=",f7.2)') 
     *          sub_prog, ylat
        io=1
      end if
      
      return
      end

