#!/bin/sh
#
# check_decompress.sh
# ===================
# Revision Date: 18-Mar-02 (JZ)
#
# Script to gunzip files if necessary 
#
# Returns:
#    0 = o.k. ... 'gunzip' not necessary
#    1 = o.k. ... 'gunzip' was run
#    9 = o.k. ... ERROR
#
 
file_name=$1

echo $file_name | grep ".gz" > /dev/null
status="$?"
if [ $status = 0 ]   # is the file gziped?
then
  gunzip $file_name
  status="$?"
  if [ $status = 0 ]   # was there an error with gunzip? 
  then
    exit 1 
  else 
    exit 9
  fi
fi

exit 0
